package turbowin;


import javax.swing.JOptionPane;

/*
 * myconfusedswell.java
 *
 * Created on 29 oktober 2008, 8:26
 */



/**
 *
 * @author  Martin
 */
final public class myconfusedswell extends javax.swing.JFrame {

    /** Creates new form myconfusedswell */
    public myconfusedswell() {
        initComponents();
        initComponents2();
        initSynopparameters();
        setLocation(main.x_pos_frame, main.y_pos_frame);
    }

    /** This method is called from within the constructor to
     * initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is
     * always regenerated by the Form Editor.
     */
    @SuppressWarnings("unchecked")
   // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
   private void initComponents() {

      jPanel2 = new javax.swing.JPanel();
      jTextField1 = new javax.swing.JTextField();
      jTextField2 = new javax.swing.JTextField();
      jLabel2 = new javax.swing.JLabel();
      jLabel3 = new javax.swing.JLabel();
      jLabel4 = new javax.swing.JLabel();
      jLabel5 = new javax.swing.JLabel();
      jLabel1 = new javax.swing.JLabel();
      jSeparator1 = new javax.swing.JSeparator();
      jButton3 = new javax.swing.JButton();
      jButton5 = new javax.swing.JButton();
      jButton1 = new javax.swing.JButton();
      jButton2 = new javax.swing.JButton();
      jButton4 = new javax.swing.JButton();
      jPanel1 = new javax.swing.JPanel();
      jLabel6 = new javax.swing.JLabel();
      jLabel7 = new javax.swing.JLabel();
      jLabel8 = new javax.swing.JLabel();
      jLabel9 = new javax.swing.JLabel();
      jLabel10 = new javax.swing.JLabel();
      jLabel11 = new javax.swing.JLabel();
      jLabel12 = new javax.swing.JLabel();
      jLabel13 = new javax.swing.JLabel();
      jLabel14 = new javax.swing.JLabel();
      jLabel15 = new javax.swing.JLabel();
      jLabel16 = new javax.swing.JLabel();
      jLabel17 = new javax.swing.JLabel();
      jLabel18 = new javax.swing.JLabel();
      jLabel19 = new javax.swing.JLabel();
      jLabel20 = new javax.swing.JLabel();
      jLabel21 = new javax.swing.JLabel();

      setDefaultCloseOperation(javax.swing.WindowConstants.DISPOSE_ON_CLOSE);
      setTitle("Confused swell or indeterminable direction");
      setResizable(false);

      jPanel2.setBorder(javax.swing.BorderFactory.createEtchedBorder());

      jLabel2.setText("period (sec)");

      jLabel3.setText("height (metres)");

      jLabel4.setText("[confused, 1 - 50]");

      jLabel5.setText("[confused, 0.5 - 49.0]");

      javax.swing.GroupLayout jPanel2Layout = new javax.swing.GroupLayout(jPanel2);
      jPanel2.setLayout(jPanel2Layout);
      jPanel2Layout.setHorizontalGroup(
         jPanel2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
         .addGroup(jPanel2Layout.createSequentialGroup()
            .addGap(82, 82, 82)
            .addGroup(jPanel2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.TRAILING)
               .addComponent(jLabel3)
               .addComponent(jLabel2))
            .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
            .addGroup(jPanel2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING, false)
               .addComponent(jTextField2, javax.swing.GroupLayout.Alignment.TRAILING, javax.swing.GroupLayout.DEFAULT_SIZE, 73, Short.MAX_VALUE)
               .addComponent(jTextField1, javax.swing.GroupLayout.Alignment.TRAILING))
            .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
            .addGroup(jPanel2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
               .addComponent(jLabel4)
               .addComponent(jLabel5))
            .addContainerGap(66, Short.MAX_VALUE))
      );
      jPanel2Layout.setVerticalGroup(
         jPanel2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
         .addGroup(jPanel2Layout.createSequentialGroup()
            .addContainerGap()
            .addGroup(jPanel2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
               .addComponent(jLabel2)
               .addComponent(jTextField1, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
               .addComponent(jLabel4))
            .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
            .addGroup(jPanel2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
               .addComponent(jLabel3)
               .addComponent(jTextField2, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
               .addComponent(jLabel5))
            .addContainerGap(javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
      );

      jLabel1.setText("swell system");

      jButton3.setText("Back");
      jButton3.addActionListener(new java.awt.event.ActionListener() {
         public void actionPerformed(java.awt.event.ActionEvent evt) {
            Back_button_actionPerformed(evt);
         }
      });

      jButton5.setText("OK");
      jButton5.addActionListener(new java.awt.event.ActionListener() {
         public void actionPerformed(java.awt.event.ActionEvent evt) {
            OK_button_actionPerformed(evt);
         }
      });

      jButton1.setText("Cancel");
      jButton1.addActionListener(new java.awt.event.ActionListener() {
         public void actionPerformed(java.awt.event.ActionEvent evt) {
            Cancel_button_actionPerformed(evt);
         }
      });

      jButton2.setText("Internet");
      jButton2.addActionListener(new java.awt.event.ActionListener() {
         public void actionPerformed(java.awt.event.ActionEvent evt) {
            Internet_button_actionPerformed(evt);
         }
      });

      jButton4.setText("Stop");
      jButton4.addActionListener(new java.awt.event.ActionListener() {
         public void actionPerformed(java.awt.event.ActionEvent evt) {
            Stop_button_actionPerformed(evt);
         }
      });

      jPanel1.setBorder(javax.swing.BorderFactory.createEtchedBorder());
      jPanel1.setPreferredSize(new java.awt.Dimension(92, 284));

      jLabel6.setFont(new java.awt.Font("Tahoma", 0, 10)); // NOI18N
      jLabel6.setForeground(new java.awt.Color(0, 0, 255));
      jLabel6.setText("meter        feet");

      jLabel7.setFont(new java.awt.Font("Tahoma", 0, 10)); // NOI18N
      jLabel7.setForeground(new java.awt.Color(0, 0, 255));
      jLabel7.setText("1               3");

      jLabel8.setFont(new java.awt.Font("Tahoma", 0, 10)); // NOI18N
      jLabel8.setForeground(new java.awt.Color(0, 0, 255));
      jLabel8.setText("2               7");

      jLabel9.setFont(new java.awt.Font("Tahoma", 0, 10)); // NOI18N
      jLabel9.setForeground(new java.awt.Color(0, 0, 255));
      jLabel9.setText("3               10");

      jLabel10.setFont(new java.awt.Font("Tahoma", 0, 10)); // NOI18N
      jLabel10.setForeground(new java.awt.Color(0, 0, 255));
      jLabel10.setText("4               13");

      jLabel11.setFont(new java.awt.Font("Tahoma", 0, 10)); // NOI18N
      jLabel11.setForeground(new java.awt.Color(0, 0, 255));
      jLabel11.setText("5               16");

      jLabel12.setFont(new java.awt.Font("Tahoma", 0, 10)); // NOI18N
      jLabel12.setForeground(new java.awt.Color(0, 0, 255));
      jLabel12.setText("6               20");

      jLabel13.setFont(new java.awt.Font("Tahoma", 0, 10)); // NOI18N
      jLabel13.setForeground(new java.awt.Color(0, 0, 255));
      jLabel13.setText("7               23");

      jLabel14.setFont(new java.awt.Font("Tahoma", 0, 10)); // NOI18N
      jLabel14.setForeground(new java.awt.Color(0, 0, 255));
      jLabel14.setText("8               26");

      jLabel15.setFont(new java.awt.Font("Tahoma", 0, 10)); // NOI18N
      jLabel15.setForeground(new java.awt.Color(0, 0, 255));
      jLabel15.setText("9               30");

      jLabel16.setFont(new java.awt.Font("Tahoma", 0, 10)); // NOI18N
      jLabel16.setForeground(new java.awt.Color(0, 0, 255));
      jLabel16.setText("10             33");

      jLabel17.setFont(new java.awt.Font("Tahoma", 0, 10)); // NOI18N
      jLabel17.setForeground(new java.awt.Color(0, 0, 255));
      jLabel17.setText("11             36");

      jLabel18.setFont(new java.awt.Font("Tahoma", 0, 10)); // NOI18N
      jLabel18.setForeground(new java.awt.Color(0, 0, 255));
      jLabel18.setText("12             40");

      jLabel19.setFont(new java.awt.Font("Tahoma", 0, 10)); // NOI18N
      jLabel19.setForeground(new java.awt.Color(0, 0, 255));
      jLabel19.setText("13             43");

      jLabel20.setFont(new java.awt.Font("Tahoma", 0, 10)); // NOI18N
      jLabel20.setForeground(new java.awt.Color(0, 0, 255));
      jLabel20.setText("14             46");

      jLabel21.setFont(new java.awt.Font("Tahoma", 0, 10)); // NOI18N
      jLabel21.setForeground(new java.awt.Color(0, 0, 255));
      jLabel21.setText("15             50");

      javax.swing.GroupLayout jPanel1Layout = new javax.swing.GroupLayout(jPanel1);
      jPanel1.setLayout(jPanel1Layout);
      jPanel1Layout.setHorizontalGroup(
         jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
         .addGroup(jPanel1Layout.createSequentialGroup()
            .addContainerGap()
            .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
               .addComponent(jLabel18, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
               .addComponent(jLabel20, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
               .addGroup(jPanel1Layout.createSequentialGroup()
                  .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                     .addComponent(jLabel21, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                     .addComponent(jLabel19, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                     .addComponent(jLabel17, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                     .addComponent(jLabel6, javax.swing.GroupLayout.DEFAULT_SIZE, 68, Short.MAX_VALUE)
                     .addComponent(jLabel16, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                     .addComponent(jLabel15, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                     .addComponent(jLabel14, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                     .addComponent(jLabel13, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                     .addComponent(jLabel12, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                     .addComponent(jLabel11, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                     .addComponent(jLabel10, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                     .addComponent(jLabel9, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                     .addComponent(jLabel8, javax.swing.GroupLayout.Alignment.TRAILING, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                     .addComponent(jLabel7, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
                  .addContainerGap())))
      );
      jPanel1Layout.setVerticalGroup(
         jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
         .addGroup(jPanel1Layout.createSequentialGroup()
            .addGap(4, 4, 4)
            .addComponent(jLabel6)
            .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
            .addComponent(jLabel7)
            .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
            .addComponent(jLabel8)
            .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
            .addComponent(jLabel9)
            .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
            .addComponent(jLabel10)
            .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
            .addComponent(jLabel11)
            .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
            .addComponent(jLabel12)
            .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
            .addComponent(jLabel13)
            .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
            .addComponent(jLabel14)
            .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
            .addComponent(jLabel15)
            .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
            .addComponent(jLabel16)
            .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
            .addComponent(jLabel17)
            .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
            .addComponent(jLabel18)
            .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
            .addComponent(jLabel19)
            .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
            .addComponent(jLabel20)
            .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
            .addComponent(jLabel21)
            .addContainerGap(29, Short.MAX_VALUE))
      );

      javax.swing.GroupLayout layout = new javax.swing.GroupLayout(getContentPane());
      getContentPane().setLayout(layout);
      layout.setHorizontalGroup(
         layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
         .addGroup(layout.createSequentialGroup()
            .addGap(160, 160, 160)
            .addComponent(jButton3, javax.swing.GroupLayout.PREFERRED_SIZE, 80, javax.swing.GroupLayout.PREFERRED_SIZE)
            .addGap(18, 18, 18)
            .addComponent(jButton5, javax.swing.GroupLayout.PREFERRED_SIZE, 80, javax.swing.GroupLayout.PREFERRED_SIZE)
            .addGap(18, 18, 18)
            .addComponent(jButton1, javax.swing.GroupLayout.PREFERRED_SIZE, 80, javax.swing.GroupLayout.PREFERRED_SIZE)
            .addGap(18, 18, 18)
            .addComponent(jButton2, javax.swing.GroupLayout.PREFERRED_SIZE, 80, javax.swing.GroupLayout.PREFERRED_SIZE)
            .addGap(18, 18, 18)
            .addComponent(jButton4, javax.swing.GroupLayout.PREFERRED_SIZE, 80, javax.swing.GroupLayout.PREFERRED_SIZE)
            .addContainerGap(javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
         .addGroup(layout.createSequentialGroup()
            .addGap(169, 169, 169)
            .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
               .addComponent(jLabel1)
               .addComponent(jPanel2, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
            .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
            .addComponent(jPanel1, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
            .addGap(71, 71, 71))
         .addGroup(layout.createSequentialGroup()
            .addContainerGap()
            .addComponent(jSeparator1)
            .addContainerGap())
      );
      layout.setVerticalGroup(
         layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
         .addGroup(javax.swing.GroupLayout.Alignment.TRAILING, layout.createSequentialGroup()
            .addContainerGap(101, Short.MAX_VALUE)
            .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
               .addGroup(javax.swing.GroupLayout.Alignment.TRAILING, layout.createSequentialGroup()
                  .addComponent(jLabel1)
                  .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                  .addComponent(jPanel2, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                  .addGap(216, 216, 216))
               .addGroup(javax.swing.GroupLayout.Alignment.TRAILING, layout.createSequentialGroup()
                  .addComponent(jPanel1, javax.swing.GroupLayout.PREFERRED_SIZE, 340, javax.swing.GroupLayout.PREFERRED_SIZE)
                  .addGap(84, 84, 84)))
            .addComponent(jSeparator1, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
            .addGap(15, 15, 15)
            .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
               .addComponent(jButton3, javax.swing.GroupLayout.PREFERRED_SIZE, 25, javax.swing.GroupLayout.PREFERRED_SIZE)
               .addComponent(jButton5, javax.swing.GroupLayout.PREFERRED_SIZE, 25, javax.swing.GroupLayout.PREFERRED_SIZE)
               .addComponent(jButton1, javax.swing.GroupLayout.PREFERRED_SIZE, 25, javax.swing.GroupLayout.PREFERRED_SIZE)
               .addComponent(jButton2, javax.swing.GroupLayout.PREFERRED_SIZE, 25, javax.swing.GroupLayout.PREFERRED_SIZE)
               .addComponent(jButton4, javax.swing.GroupLayout.PREFERRED_SIZE, 25, javax.swing.GroupLayout.PREFERRED_SIZE))
            .addGap(15, 15, 15))
      );

      pack();
   }// </editor-fold>//GEN-END:initComponents



/***********************************************************************************************/
/*                                                                                             */
/*                                                                                             */
/*                                                                                             */
/***********************************************************************************************/
private void initComponents2()
{
   if (main.in_next_sequence == false)
   {
      jButton3.setEnabled(false);                         // back button
      jButton4.setEnabled(false);                         // stop button
   }


   if (main.offline_mode == true)
   {
      jButton2.setText("Help");
   }
}



/***********************************************************************************************/
/*                                                                                             */
/*                                                                                             */
/*                                                                                             */
/***********************************************************************************************/
private void Cancel_button_actionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_Cancel_button_actionPerformed
// TODO add your handling code here:
   setVisible(false);
   dispose();

   if (main.in_next_sequence == true)
   {
      next_screen();
   }
}//GEN-LAST:event_Cancel_button_actionPerformed


/***********************************************************************************************/
/*                                                                                             */
/*                                                                                             */
/*                                                                                             */
/***********************************************************************************************/
private void Internet_button_actionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_Internet_button_actionPerformed
   // TODO add your handling code here:
   main.help_mouseClicked(WAVES_HELP_DIR);
}//GEN-LAST:event_Internet_button_actionPerformed


/***********************************************************************************************/
/*                                                                                             */
/*                                                                                             */
/*                                                                                             */
/***********************************************************************************************/
private void Back_button_actionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_Back_button_actionPerformed
   // TODO add your handling code here:
   setVisible(false);
   dispose();

   previous_screen();
}//GEN-LAST:event_Back_button_actionPerformed


/***********************************************************************************************/
/*                                                                                             */
/*                                                                                             */
/*                                                                                             */
/***********************************************************************************************/
private void Stop_button_actionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_Stop_button_actionPerformed
   // TODO add your handling code here:
   setVisible(false);
   dispose();

   main.in_next_sequence = false;
}//GEN-LAST:event_Stop_button_actionPerformed



private void OK_button_actionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_OK_button_actionPerformed
   // TODO add your handling code here:
// TODO add your handling code here:

   // initialisation
   Reset_All_Confused_Swell_Vars();


   // by default in Confused swell or indeterminable direction
   mywaves.Dw1_code          = "99";
   mywaves.Dw2_code          = "//";
   mywaves.swell_1_dir       = "confused";

   // get text from inserted fields
   mywaves.swell_1_period    = jTextField1.getText().trim();
   mywaves.swell_1_height    = jTextField2.getText().trim();



   /*
   //////////////// checks
   */

   // convert collected (string) values to ints and floats

   // swell 1
   try
   {
      int_swell_1_period = Integer.parseInt(mywaves.swell_1_period.trim());
   }
   catch (NumberFormatException e){/* ... */}

   try
   {
      float_swell_1_height = Float.parseFloat(mywaves.swell_1_height.trim());
   }
   catch (NumberFormatException e){/* ... */}




   //
   // 1st swell system checks
   //
   if ((mywaves.swell_1_period.trim().compareTo("confused") != 0) && (mywaves.swell_1_period.trim().length() > 0) &&
       (int_swell_1_period < 1 || int_swell_1_period > 50 || int_swell_1_period == main.INVALID))
   {
      JOptionPane.showMessageDialog(null, "1st swell period must be in range 1 - 50 (no decimals), confused or blank", main.APPLICATION_NAME + " error", JOptionPane.WARNING_MESSAGE);
       Reset_All_Confused_Swell_Vars();
   }

   else if ((mywaves.swell_1_height.trim().compareTo("confused") != 0) && (mywaves.swell_1_height.trim().length() > 0) &&
            (float_swell_1_height < 0.5 || float_swell_1_height > 49.0 || float_swell_1_height == main.INVALID))
   {
      JOptionPane.showMessageDialog(null, "1st swell height must be in range 0.5 - 49.0, confused or blank", main.APPLICATION_NAME + " error", JOptionPane.WARNING_MESSAGE);
       Reset_All_Confused_Swell_Vars();
   }

   else
   {
       checks_ok = true;
   }



   //
   ///////////// consistency checks
   //
   // none



   /*
   ///////////// determine meteorological code figures
   */
   if (checks_ok == true)
   {

      //////// swell 1 period
      if (mywaves.swell_1_period.trim().length() == 0)                                // nothing inserted
      {
         mywaves.Pw1_code = "//";
      }
      else if (mywaves.swell_1_period.trim().equals("confused"))
      {
         mywaves.Pw1_code = "//";
      }
      else
      {
         // nb in this stage always in whole seconds (otherwise earlier error message)
         mywaves.Pw1_code = Integer.toString(int_swell_1_period);                     // convert to string

         // Pw1 code always 2 characters width e.g. 03
         int len = 2;
         if (mywaves.Pw1_code.length() < len)                                         // pad on left with zeros
            mywaves.Pw1_code = "0000000000".substring(0, len - mywaves.Pw1_code.length()) + mywaves.Pw1_code;
      } // else


      //////// swell 1 height
      if (mywaves.swell_1_height.trim().length() == 0)                             // nothing inserted
      {
         mywaves.Hw1_code = "//";
      }
      else if (mywaves.swell_1_height.trim().equals("confused"))
      {
         mywaves.Hw1_code = "//";
      }
      else
      {
         // round to units of 0.5 metres

         // e.g. 2.2 metres -> Hw1 = 4 units of 0.5 metres
         // e.g. 2.3 metres -> Hw1 = 5 units of 0.5 metres

         int num_Hw1_code = (int)Math.floor(float_swell_1_height * 2 + 0.5);
         mywaves.Hw1_code = Integer.toString(num_Hw1_code);     // convert to string      // or (alternative): Hw1_code = String.valueOf(num_Hw1_code);

         // Hw1 code always 2 characters width e.g. 03
         int len = 2;
         if (mywaves.Hw1_code.length() < len)                                            // pad on left with zeros
            mywaves.Hw1_code = "0000000000".substring(0, len - mywaves.Hw1_code.length()) + mywaves.Hw1_code;
      } // else

   } // if (checks_ok == true)



   if (checks_ok == true)
   {
      /* waves velden op hoofdscherm overzicht updaten */
      main.waves_fields_update();

      /* close this input page */
      setVisible(false);
      dispose();

      /* next screen if in_next_screen mode */
      if (main.in_next_sequence == true)
      {
         next_screen();
      }

   } // if (checks_ok == true)


}//GEN-LAST:event_OK_button_actionPerformed


/***********************************************************************************************/
/*                                                                                             */
/*                                                                                             */
/*                                                                                             */
/***********************************************************************************************/
private void initSynopparameters()
{


   // put back earlier inserted values
  
   // 1st swell system
   if ( (mywaves.swell_1_period.compareTo("") != 0) && (mywaves.swell_1_period.compareTo("no swell") != 0) )
      jTextField1.setText(mywaves.swell_1_period); 
    
   if ( (mywaves.swell_1_height.compareTo("") != 0) && (mywaves.swell_1_height.compareTo("no swell") != 0) )
      jTextField2.setText(mywaves.swell_1_height);    
}


/***********************************************************************************************/
/*                                                                                             */
/*                                                                                             */
/*                                                                                             */
/***********************************************************************************************/
private void Reset_All_Confused_Swell_Vars()
{
   // scope this module + myturbowin.java main module (all of type: static)
   mywaves.swell_1_dir                = "";
   mywaves.swell_1_period             = "";
   mywaves.swell_1_height             = "";
   mywaves.Dw1_code                   = "";
   mywaves.Pw1_code                   = "";
   mywaves.Hw1_code                   = "";

   mywaves.swell_2_dir                = "";                   // before 2nd swell system could be inserted
   mywaves.swell_2_period             = "";                   // before 2nd swell system could be inserted
   mywaves.swell_2_height             = "";                   // before 2nd swell system could be inserted
   mywaves.Dw2_code                   = "";                   // before 2nd swell system could be inserted
   mywaves.Pw2_code                   = "";                   // before 2nd swell system could be inserted
   mywaves.Hw2_code                   = "";                   // before 2nd swell system could be inserted

   // local var's with initialisation
   float_swell_1_height               = main.INVALID;               // could become e.g. 2.5 (-> use float)
   int_swell_1_period                 = main.INVALID;
   checks_ok                          = false;

   /* update wave fields on main (progress)screen */
   main.waves_fields_update();
}
     

   /***********************************************************************************************/
   /*                                                                                             */
   /*                                                                                             */
   /*                                                                                             */
   /***********************************************************************************************/
   private void next_screen()
   {
      myvisibility form = new myvisibility();
      form.setSize(800, 600);
      form.setVisible(true);
   }


   /***********************************************************************************************/
   /*                                                                                             */
   /*                                                                                             */
   /*                                                                                             */
   /***********************************************************************************************/
   private void previous_screen()
   {
      mywaves form = new mywaves();
      form.setSize(800, 600);
      form.setVisible(true);
   }


    /**
    * @param args the command line arguments
    */
    public static void main(String args[]) {
        java.awt.EventQueue.invokeLater(new Runnable() {
         @Override
            public void run() {
                new myconfusedswell().setVisible(true);
            }
        });
    }

   // Variables declaration - do not modify//GEN-BEGIN:variables
   private javax.swing.JButton jButton1;
   private javax.swing.JButton jButton2;
   private javax.swing.JButton jButton3;
   private javax.swing.JButton jButton4;
   private javax.swing.JButton jButton5;
   private javax.swing.JLabel jLabel1;
   private javax.swing.JLabel jLabel10;
   private javax.swing.JLabel jLabel11;
   private javax.swing.JLabel jLabel12;
   private javax.swing.JLabel jLabel13;
   private javax.swing.JLabel jLabel14;
   private javax.swing.JLabel jLabel15;
   private javax.swing.JLabel jLabel16;
   private javax.swing.JLabel jLabel17;
   private javax.swing.JLabel jLabel18;
   private javax.swing.JLabel jLabel19;
   private javax.swing.JLabel jLabel2;
   private javax.swing.JLabel jLabel20;
   private javax.swing.JLabel jLabel21;
   private javax.swing.JLabel jLabel3;
   private javax.swing.JLabel jLabel4;
   private javax.swing.JLabel jLabel5;
   private javax.swing.JLabel jLabel6;
   private javax.swing.JLabel jLabel7;
   private javax.swing.JLabel jLabel8;
   private javax.swing.JLabel jLabel9;
   private javax.swing.JPanel jPanel1;
   private javax.swing.JPanel jPanel2;
   private javax.swing.JSeparator jSeparator1;
   private javax.swing.JTextField jTextField1;
   private javax.swing.JTextField jTextField2;
   // End of variables declaration//GEN-END:variables

   // scope this module + myturbowin.java main module (all of type: static)



   // constants
   //private final int INVALID                      = 9999999;
   private final String WAVES_HELP_DIR            = "waves.pdf";


   // scope only this module (no static) 
   private float float_swell_1_height             = main.INVALID;   // could become e.g. 2.5 (-> use float)
   private int int_swell_1_period                 = main.INVALID;
   private boolean checks_ok                      = false;

}


